GenesisII
GenesisII generates photorealistic and schematic images of landscapes from geographic data.

Besides rendering and graphic capabilities, GenesisII also incorporates a wide range of tools to support landscape modeling and related tasks (such as VRML Modeling and Terrain Editing).

We produce three versions of GenesisII - an introductory Freeware version, a Light version for more commited users, and a Professional version for professional users. Some features may not be available in the Freeware and Light versions.

Basic Concepts
GenesisII describes a landscape surface using a Landscape Grid. This is a regular grid of heights that can either be generated by GenesisII or imported from another source - such as a DEM file.

GenesisII draws this grid in 3D to generate the landscape image. Two rendering types are available - Overlay rendering, which draws an image on top of the surface, or Fractal rendering, which generates artificial surface detail. GenesisII uses OpenGL for 3D rendering at it is important that this is set up correctly on your PC.

GenesisII understands how landscapes are formed, and will attempt to generate the details of the fractal surface in realistic manner. It also has an understanding of ecosystems and will place vegetation with regard to surface features. Realistic images can be generated in a few mouse clicks using a landscape grid and the program defaults - the user can then concentrate on the special features in the landscape that they are directly interested in.

GenesisII uses the concept of Terrains to allow the user to control the details of landscape surfaces. Any number of terrains can be defined, each of which has specific characteristics for such items as surface texture, vegetation and 3D objects. Terrains are mapped onto the landscape surface using shapes such as polygons and lines. Any number of shapes can be defined for each terrain, and each shape can be of any size and complexity.

In addition to the landscape surface and contents, a range of other factors control how the landscape will look in the rendered image. Atmosphere , Clouds and Water are all important and can all be controlled in detail by the user - and of course Camera and Target placement are under direct user control.


Renderer Types
GenesisII supports two types of renderer.

Fractal Renderer

This renderer generates a photorealistic landscape image by accurately modeling the earth's atmosphere and adding detail onto the surface using fractalization techniques. The Fractal renderer also understands basic ecological concepts and can realistically place vegetation. Terrains and 3D models can also be used to increase realism and model the real world.

To help you generate realistic images quickly and easily GenesisII you can use the Environment Wizard to control your worlds environment in easily understood concepts.

Overlay Renderer

The overlay renderer draws the landscape without any fractalization, but overlays (or texture maps) an image onto the surface. This approach is useful for generating 3D images of topographic maps or satellite images.


OpenGL

System Preferences
GenesisII uses OpenGL to perform 3D rendering. This is the rendering system of choice for professional graphic applications. It is important that OpenGL is set up correctly on your system for GenesisII to give optimal results.

To alter OpenGL settings select Preferences from the System menu and select the OpenGL version you require from the dialog box. Note that changes cannot be made if there is a rendering window open.

OpenGL Drivers
GenesisII allows you to choose which set of OpenGL drivers you will use. GenesisII was developed using the Silicon Graphics (SGI) implementation in software. There are several different software OpenGL implementations available as well as numerous hardware implementations for 3D graphic accelerator cards. The SGI implementation has the advantage that it fully supports the complete set of OpenGL commands - other implementations often fail to implement some functions, contain bugs, or (for 'consumer' level 3D cards) are often optimised for speed at the expense of accuracy and give unsatisfactory results.

  • SGI Software OpenGL: The SGI OpenGL dlls (opengl.dll and glu.dll) are included with the GenesisII distribution and installed into the GenesisII directory. If the SGI implementation is selected it will be used even if you have a hardware 3D graphics card.
  • Hardware/Microsoft OpenGL: Microsoft distributed a software version of OpenGL with later releases of Windows95, Windows98 and Windows NT4 (opengl32.dll and glu32.dll). These dlls are replaced by vendor specific dlls if a 3D graphics card is installed. If you have a hardware graphics card it is worthwhile checking the rendering quality available as drawing speeds can be increased by up to 50%. However if you see problems such as poor surface definition (in either overlay of fractal mode) or missing vegetation, clouds or models then the 3D card drivers are most likely at fault.

OpenGL Rendering Protocol
These parameters determine how OpenGL will draw to your screen. By default OpenGL will render in memory, copying the image every few seconds to the rendering window. This protocol is robust and rarely suffers from compatibility problems with other software or hardware on the system. Alternatively you can render directly to the rendering window, this is slightly faster as time is not spent copying images, but on some systems may fail to work properly due to software or hardware conflicts.

  • Render direct to window: When unchecked (the default) OpenGL will render in memory. Because rendering directly to a window is slightly faster and provides better visual feedback you are advised to try setting this feature on. If you subsequently suffer from refresh or other rendering problems revert to the default.
  • Refresh rate: Only enabled if Render direct to window is unchecked, this determines how often the memory image is copied to the rendering window. Caution! - because this action takes a significant amount of time you are advised not to set this value to low, especially on slower machines where it may be possible to 'lock out' rendering because the system spends all available time copying from memory to the rendering window.

Global Paths
Most paths and similar parameters in GenesisII are project-specific. At present only the Templates path is common to all projects and is altered in this dialog.


Projects
GenesisII holds all information about the current landscape map, rendering settings and environment in a project file (gs2).

Project Information
This dialog is accessed from the Project menu by selecting the Edit Project Info... item.

The dialog sets the project information line for this project, which is displayed at the bottom of the main window. This information is also used by the Environment Wizard.


Path Parameters

Preferences
This dialog sets global preferences for this project. Pathing information is stored in the project file so you can use different paths for different projects. However although changing data here will change the pathing information for the current session, the new data will not be retained unless you save the project.

When you change pathing information the defaults (used for new projects) are updated to the values entered.

Paths
Path information is stored with the project. GenesisII looks for certain files in specified directories

  • Vegetation: Directory holding vegetation (plants) bmp files.
  • Models: Directory holding g3s models.
  • Overlay: Directory holding images for overlay rendering


Atmosphere
GenesisII implements an advanced atmospheric model that realistically reflects the way that light is diffracted and absorbed by our atmosphere. These controls are used to set atmospheric and environmental effects - see also the Clouds controls.

Atmospheric Effects

  • Ambient: Ambient light intensity. Ambient light has been scattered and comes from no particular direction.
  • Diffusion: Diffuse light intensity. This is light coming directly from the sun but is scattered on reflection and does not create highlights.
  • Atmospheric Scatter: Controls how much the direct sunlight is scattered to form the blue of the sky.
  • Atmospheric Glow: Controls the amount of glow around the sun.
  • Shadow Depth: Controls how dark cast shadows are.
  • Mist Density: General atmospheric mist/haze.

Sun Position

These control set the altitude and azimuth position of the sun. You can click and drag directly on the blue dial controls or use the edit boxes.

Colors

  • Sun: The color of the sun. Usually this is set to white or a very light yellow, but can be set to redder tones for sunsets.
  • Sky: The background sky color at the zenith. Blends with the horizon color towards the horizon.
  • Horizon: Sky color at the horizon.
  • Mist: Mist color.

Advanced Parameters

These parameters control how the atmosphere is modeled and should only be altered from the defaults with care.

  • Atmospheric Ceiling: The top of the atmosphere. Light traveling above this will not be affected by atmospheric physics. Also effects the behavior of light below the ceiling. Default value is 200.0.
  • Atmospheric Floor: Nominal bottom of the atmosphere. Default is -100.0.
  • Atmospheric Control Distance: Nominal distance to the sky. Default is 250.0
  • Infinity: Nominal infinite distance. Default is 10000.0


Camera

Camera/Target
Controls relative positions of camera and target.

Camera/Target Editor

Positioning

  • Camera: The x,y and absolute height of the camera. GenesisII does not do any checking to ensure that you are above ground level, but if the camera is positioned below the estimated ground level then the height value will be displayed in red (or blue if the camera is positioned outside the map). X and Y values can also be controlled from the Position Map.
  • Target: The x,y and absolute height of the target. Can also be controlled from the Position Map.
  • View Perspective Angle: Also know as the Angle of View. Similar to changing the lens on a camera. Can also be controlled from the Position Map.
  • View Direction: Direction of view as a bearing.
  • View Azimuth: Vertical angle between Camera and Target. If both are at the same height this value is zero. Positive value indicate that the camera is above the target.
  • View Distance: Distance between the Camera and Target.

Position Map

A schematic drawing of the map with the camera / target control drawn over the top. Click and drag the square-shaped handles with the mouse to position the camera and target, and to set the angle of view.


Clouds
This version of GenesisII generates cloud information dynamically. You are allowed one cloud layer only. Cloud appearance is also affected by the Atmosphere.

Clouds Editor

Cloud Layers

  • Draw Clouds: Checkbox to switch clouds on/off.
  • Cover: Cloud cover. Values between 30 and 70 give good results.
  • Density: Cloud density - dense cloud layers appear darker
  • Size: Controls average cloud size. Low values give a lot of small clouds, higher values produce a smaller number of larger clouds.
  • Cloud Plane Offsets: These control the appearance of the clouds - change these to generate different cloud formations..
  • Stratus/Cumulus: Cloud type. Use stratus clouds for higher clouds, cumulus for lower ones.
  • Clouds Colors: Colors used in clouds - areas in direct sunlight will tend towards the lighter color, whilst areas in shadow will use the darker color. Usually set to white and a shade of grey.


Environment Wizard
GenesisII offers the user a great deal of control over environmental settings, particularly when using the Fractal Renderer. Often however you'll want to generate a image quickly without manipulating your world's environment in detail. The Environment Wizard allows you to do this in easily understood terms.

Environment Templates
Templates contain sets of environmental parameters which create a particular type of landscape image. We supply a set of templates to get you started, and more are available from our site. You can also create your own templates.

To load a template simply select the template name from the list box, select the sections you wish to load (or all) and click load. The atmosphere, landscape surfaces, clouds and water surface sections broadly correspond to the settings controlled by the Atmosphere, Fractal Parameters, Clouds and Water modules.

Creating your own Templates
Templates are stored in .ini files located in the Templates directory. Templates can be exported and imported directly using the Export Environment Settings and Import Environment Settings menu items on the Project menu. To be included in the Environment Wizard templates must be located in the Templates directory - by default this is called Templates and is a subdirectory of your GenesisII installation directory, but it's location can be changed on the System Preferences dialog.

The description displayed in the Environment Wizard is the name of the current Project. This can be set in Project Information dialog.


Ecology
GenesisII understands basic ecological concepts and will automatically place vegetation according to surface characteristics. Up to four plants may be used for ecological modeling. The plants to be used must be defined with the Vegetation Editor.

Ecology Editor

Plants

Parameters for each plant are identical, however each line describes a plant with a slightly different preferred ecological niche.

  • Draw Plants: Check box to switch ecology drawing on/off.
  • Plant Type: Drop down list of available plant type. Select one or none.
  • Size: Average size for the plant type. Some random variation will added when drawing.
  • Density: Average density for the plant type. Some random variation will be added when drawing.


Fractalization
GenesisII generates photorealistic and schematic images of landscapes from geographic data. It also supports a wide range of auxiliary functions to support this and related tasks, for example VRML Modelling and Terrain Editing.

Fractal Editor

Fractalization
This set of parameters control the basic fractalization of the landscape.

  • Depth: Fractalization level applied. When set to zero no fractalization is applied. Increasing this parameter increases the surface detail but also increases rendering times. A fractal depth of 1 or 2 is usually sufficient to explore a landscape, with a setting of 3 or greater being used for final images. Some features may not be available at level 0, but as drawing times are only a few seconds it is usually used for initial exploration. The Fractal Depth and Enhance parameters may also be set directly from the Fractal renderer window's toolbar.
  • Edge fuzzyness: Controls the fuzzyness of the tree line and snow line boundaries, plus graduation within these.
  • Seed values: Set of four seed values controlling fractalization. Each set of four values gives a unique, reproducable, surface.
  • Snow Line: Position of snow line as a percentage of minimum to maximum height value.
  • Tree Line: Position of tree line as a percentage of minimum to maximum height value.

Standard Colors
The default or standard colors displayed on the landscape surface. GenesisII two broadly colors a landscape using two alltitude related color gradients, but considerable fractalization may be introduced into this. The shape of the gradients are determined by the tree and snow line parameters. Gradients are also created for surface parameters such as roughness, specularity etc.

  • Copy: Copies the primary gradient to the secondary.
  • Generate: Generates suggested rock, shoreline and sky colors for this project.
  • Colors: Set gradient colors.
  • Roughness: Surface roughness.
  • Shininess: Shininess of the surface.
  • Specularity: Highlight reflections.
  • Emission: Emission characteristics.
  • Spread Colors: When checked colors are evenly spread between the first and second color button clicked on.
  • Bias: Controls the bias of mixing between the primry and secondary color gradients.

Special Colors
Similar to the standard colors, but used for special surface types - rock, shoreline and snow (water is set elsewhere). Parameters are as standard colors.

Valley Effect
Ecological conditions in a valley are often different to those found elsewhere, and this set of parameters controls how GenesisII will handle this.

  • Enabled: Switches valley effect processing on/off
  • Override Terrains: When checked overrides specific Terrain color processing.
  • Valley Criticality: Controls how significant the valley effect will be. A high value produces lush, greener valleys.

Cliff Effect
Steep landscapes will often have surface rocks and cliffs. GenesisII automatically add these based on the surface characteristics.

  • Enabled: Switches valley effect processing on/off
  • Override Terrains: When checked overrides specific Terrain color processing.
  • Cliff Criticality: Controls how easily rocks break through the surface. Higher values increase the occurrence of rocky ground.


Terrain Layers

Terrains
Although GenesisII will generate realistic looking surfaces automatically, geographic users will want to control the details of the surface rendering directly. To facilitate this GenesisII uses the concept of Terrains or Terrain Layers.

Each terrain describes a set of characteristics that can be applied to the landscape, for example surface color or vegetation. Terrains are mapped onto a landscape surface as a series of polygons or lines. There is no limit on the number of terrains that can be defined, or the number of polygons or lines for each terrain. Using Plugin interfaces terrain data can be imported into GenesisII from GIS packages such as MapInfo and ArcView.

Terrain Layers Editor

Terrains
Terrain List Box: List the available terrains. Click New to add a new terrain. Select a terrain to edit it's characteristics.

Identification
Name: An arbitrary name for the terrain. Duplicates are allowed, but not recommended.

Colors
Defines the colors used for the terrain.

  • Override defaults: If checked these colors are used, otherwise the default colors defined by the fractalization editor are used..
  • Handle as Water: If checked this terrain area will be rendered as water. This option should be primarily used for rivers as areas of open water are better handled by flooding using the landscape editor.
  • Copy: Copies the primary gradient to the secondary.
  • Generate: Generates a standard set of colors for the terrain. A dialog is displayed from which water colors (usually used for rivers) or land colors (based on the first primary color) can be selected.
  • Colors: Set gradient colors.
  • Landscape Editor Color: Color polygon, line or model location is drawn in the Landscape editor.

Surface Properties
Controls the material characteristics of the surface

  • Override defaults: If checked these properties are used, otherwise the default surfaces defined by the fractalization editor are used..
  • Roughness: Surface roughness.
  • Shininess: Shininess of the surface.
  • Specularity: Highlight reflections.
  • Emission: Emission characteristics.
  • Line Width: Width polygon edges (if plants only drawn on edge) or lines are drawn.

Vegetation
Terrain vegetation is described in a similar manner to that used for Ecology. Up to four plants may be defined. Terrain vegetation always overrides ecologically placed vegetation.

  • Draw Plants: Check box to switch vegetation drawing on/off for this terrain.
  • Draw on polygon edge only: Only places vegetation around edge of polygons - often used for hedges/fields on arable land.
  • Plant Type: Drop down list of available plant type. Select one or none.
  • Size: Average size for the plant type. Some random variation will added when drawing.
  • Density: Average density for the plant type. Some random variation will be added when drawing.

Urban
Controls drawing of Urban Plans. You can draw one urban plan on each terrain layer, and these can be used in conjunction with vegetation.

  • Draw Urban Buildings for this terrain: Check box to switch urban drawing on/off for this terrain.
  • Plan: The Urban Plan to be used..

Model
Defines which 3D model this terrain will draw. For efficiency reasons models must be defined in .g3s format, but a convertor is supplied to import from 3D Studio Max .3ds format.

  • Draw model for this terrain: Check box to switch model drawing on/off.
  • Source File: Specifies the 3D source file for this model.
  • Default Size: Default model height. Can be overridden in the Landscape Editor
  • Default Rotation: Default rotation value (clockwise from 0 - north). Can be overridden in the Landscape Editor.
  • Set Models Directory: Sets directory path for model source files.
  • Launch Importer: Launches the 3DS to G3S format convertor.


Vegitation

Vegetation
GenesisII draws vegetation in 3D using LSystem models. Any number of plants may be defined.

An LSystem is a rule like description of a 3d form. Rules are defined in plain text in a .ls files which and simply contain descriptions of parts and how they should be assembled together. We use the syntax defined by Laurens Lapré for his LParser system (http://www.xs4all.net/~ljlapre/) and you can use any of the tools or files available from his website to define plants for GenesisII. We particularly recommend the freeware LParser editor created by Bryan Smith and available at http://www.thinkpiece.com/downloads/lsystem.asp for creating files.

Vegetation Editor

Plants

Plant list: List the plants available. Click New to add a plant. Select a plant to edit it's properties.

Properties

  • Name: An arbitrary name assigned to each plant. Does not have to be unique - although this is recommended.
  • Source Files: LSystem ls files containing the plant definition. You need to define 3 files for each plant corresponding to the level of detail that should be drawn for objects in the far distance, middle ground and nearby. We supply example sets for 'conifer' and 'oak' trees with the GenesisII download and more are available from our site. See the notes below for more discussion of this.
  • Set Vegetation Directory: Sets directory path for vegetation LSystem files.
  • Colors: The LSystem file definition uses a set of 16 colors that can be used to drawn the model. We supply the 'standard' LParser defaults but you may edit these as you wish (to produce an autumnal or winter scene perhaps). Color sets may be saved and loaded.

Some Notes

An L-System is a rule like description of a 3d form. It contains descriptions of parts and how they should be assembled together. The description is applied to itself a number of times (= recursion levels) so fractal and recursive forms are very easy to describe in an L-system. That's why they are used a lot for plants and natural looking organic forms. By increasing the recursion level the form slowly 'grows' and becomes more complex.

It is not necessary to understand the details of how an LSystem object is defined to use vegetation in GenesisII - we include some sample files with the download and additional selections are available from our website which you can just plug these directly into the program. However LSystems are fascinating to experiment with and we highly recommend downloading files from Laurens Lapré's site. GenesisII can render any LParser file that defines the object in polygons only - i.e. user-defined shapes such as blobs are not allowed. In practise this is not a significant restriction for our purposes.

If you define your own LSystem files you should also ensire that the file definition includes some randomness else you will create a forest of identical trees. The sample files include with GenesisII are examples of this technique.

Finally, why do we require you to define 3 files for each plant? (at far, mid and near resolution). Well, we've always believed that GenesisII should be an 'Open' system that can use and incorporate material defined outside itself as much as possible. As landscapes can contain a lot of vegetation it is necessary to use simpler models for more distant plants if render times are to be kept to realistic values. However with an LSystem simplifying the model is not always straightforward (for example reducing the number of generations for instance might give you just a tree trunk and no leaves rather than a simpler tree) and programming this in automatically would impose greater restrictions on the types of models that can be used. Rather than do this we ask you to perform this step and not compromise flexibility.


Urban Plans

Urban
As a GenesisII user you may have a requirement to depict an urban area in your landscape. However towns and cities are complex structures containing many hundreds of man-made buildings and it is simply not feasible to add these individually - nor in most cases is it necessary at is simply the presence of an urban area we wish to convey.

GenesisII handles this situation by using Urban Plans. An Urban Plan is simply an abstract description of what an urban area will look like, enough control is available so you can control in general terms what your urban area will look like, but the drawing of individual buildings is handled internally by GenesisII.

Urban Editor

Urban Plans

Plan list: List the plan available. Click Add to add a plan. Select a plan to edit it's properties.

Properties

  • Name: An arbitrary name assigned to each plan. Does not have to be unique - although this is recommended.
  • Urban Type: The type of buildings that will be drawn. Currently limited to Urban (high rise residential and commercial buildings), Suburban (small to medium family houses and shops), and Industrial (industrial plant and related buildings). Other types will be available in future versions.
  • Height Plan: A bmp file containing information about heights. GenesisII tiles the plan over the terrain, and samples this bitmap in each terrain square it draws to obtain the height of the building to draw at that point. Heights are obtained by scaling the red channel of the image.
  • Wall Color Plan: A bmp file sampled in a similar manner to heights, but with the sampled color being used to draw th buildings walls..
  • Roof Color Plan: As for Wall Color Plan, but used to draw roofs.
  • Plan Size: Size information for drawing the urban plan. The plan images will be scaled using these values.
  • Set Model Directory: Sets directory path for urban plan bitmaps (this is the same directory as used for 3D models).


3D Models
GenesisII can include 3D models within a fractal landscape. Models are rendered correctly for light, atmosphere etc. just like any other landscape feature.

Model Sources
For efficiency reasons models must be defined in GenesisII's own .g3s format. A convertor (modeltog3s) is supplied to import from 3D Studio Max .3ds format. This version of GenesisII does not understand texture maps, and all materials must be defined (i.e. no default materials as information about these materials is not stored in the 3ds file). The modeltog3s program is freeware and updates DXF and other file formats are planned - see our update policy.

Placing Models
Models are associated with terrains and placed on the landscape with the landscape editor or indirectly from imported GIS data. Placement takes into account the effect of fractalization on the height of the landscape surface.


Water
GenesisII handles water slightly differently from normal terrains.

Water Editor

Waves

  • Wind Direction: Waves will tend to line up at right angles to the wind, although local turbulance and conditions may affect this.
  • Height: Wave height as measured from peak to trough.
  • Wavelength: Peak to Peak distance

Turbulance
Turbulance describes fractalized chaotic disruption to the water surface - this affects low level detail and color.

  • Water Turbulance: The amount of turbulant behaviour. Set to 0 to remove.
  • Seeds: Fractal seeds used to generate water turbulance. The plane/frequency combination is unique and repeatable.

Surface
Values are analogous to those for general Fractalization and Terrains, although implementation details may differ.

  • Colors: Base colors used to render water.
  • Generate: Generates suggested water colors using defined values for atmospheric and fractal colors.
  • Roughness: Water surface roughness.
  • Shininess: Shininess of the surface.
  • Specularity: Highlight reflections.
  • Emission: Emission characteristics.
  • Edge Criticality: Controls fractalization behaviour at water/land boundary.


Overlay Parameters
GenesisII's Overlay rendering mode draws the landscape surface with images overlayed (or draped) onto the surface. This editor controls the images used and the way that they are drawn. Images are drawn stretch so that the corner of the image is mapped to the corner of the map.

Overlay Parameters Editor

Overlay Images

Overlay list: List the images available. Click Add to add an image. Select an image to edit it's properties. Drawing for any particular image can be turned on or off by changing the check box status.

Image Details

  • Name: An arbitrary name assigned to each image. Does not have to be unique - although this is recommended.
  • Source File: A bmp file containing the overlay image.
  • Set Overlay Directory: Sets directory path for overlay bitmaps.
  • Transparency Mode: GenesisII can draw an image with either the whole image layer transparent, or just a particular color. Select which mode is required using the drop down list. Note that each image layer can have different characteristics, but the first layer is always drawn with the full layer at 100% opacity.
  • Transparency: Degree of transparency of the image layer. Ranges from 100% for total transparency to 0% for total opacity.
  • Transparent Color: In single transparent color mode this is used to select the color which will be drawn transparently.


Landscape Editor

Overview
GenesisII landscapes comprise both a description of the landscape surface and the terrains present on that landscape. The Landscape Editor is used to define both these characteristics.

Surface shape information is held in the form of a rectangular grid. Each grid (sample) point defines the height of the surface at that point as well as certain other characteristics. The grid dimensions are arbitarily defined as meters, but in practise may be regarded as any unit.

Information about the terrains present on the surface is held as a set of terrain layers, each layer being defined as having certain characteristics. The placement of these terrains on the surface is described by a set of polygons. 3D models may also be associated with terrain layers and placed anywhere on the surface.

The Landscape Editor
The landscape editor has three main parts:

  • A Toolbar that gives access to the tools you will require to define the map plus redraw, zoom in/out buttons and information about the current position of the cursor on the map in terms of grid reference and georeference position. There are three types of tools - surface definition, water definition and terrain definition.
  • The Parameter Display area down the left hand side of the window which shows various status information about the map and the tools being used. The
  • An initially blank area representing the Canvas used to define the map.

Defining the landscape surface
Before viewing a landscape with GenesisII you must define the shape of the surface that you wish to model. GenesisII offers several ways to import data from files. Once imported a powerful set of surface manipulation tools can be used to edit the surface, or indeed create a surface from scratch.

Terrains
Terrain layers are defined in the Terrains Layers module. The terrain layers available are displayed in the check list on the Layers page of the Parameter Display area. Terrain polygons can be defined either using the terrain tools or by importing GIS data.

Water
Although similar to terrains, water is defined at sample points rather than as polygons. See the information about water tools for details.


Surface Import

Landscape Editor - Surface Definition

Surface Definition
Maps must be defined with between 400 and 250,000 sample points. Realistic looking landscapes usually require 10,000 sample points or more. However, very large maps are slower to manipulate and draw, and for most purposes between 25,000 and 100,000 points is probably the best trade-off. Data is stored in .gs2 files, usually referred to as maps.

To create a map for a landscape surface each sample point must have its height set. GenesisII offers several ways of doing this:

  • The data may be imported directly from a digital terrain data file, such as Ordnance Survey NTFs, Vistapro DEM or USGS DEM.
  • A graphics file may have it's colours mapped as height values. This is similar to importing data from a digital terrain data file, but there are some additional considerations.
  • Information may be captured from a scanned image of a topographic (contour) map.


Surface Definition Tools

Landscape Editor - Surface Definition Tools

Surface Definition Tools
The Height Definition tool buttons on the toolbar are activated when the Heights/Water layer is selected from the Current Layer drop down list in the Parameter Display area.

The Spot height tool displays the height of the selected grid point. Enter either null or a height value. If entering several points at the same height the Default height tool can be used to set each grid point to the last height entered with the spot height tool.

The Manual contour trace tool is used to set a series of sample points along a line to be set to the same height. Typically this tool would be used to trace the contour lines on a bitmap loaded as background. The tool uses a combination of the left and right mouse buttons or clicks and double clicks. To start a contour press the left mouse button. You may now either move the mouse whilst holding down the button, or release the button and click again at another position. In both cases a red line highlights where the contour will be placed. Continue defining the contour using any combination of these actions until complete, then either double click the left button or click the right button. A dialog box prompts for the height of the contour.

The Auto-contour trace tool is also used to set a series of sample points along a line to be set to the same height. It traces the contour lines on a bitmap loaded as background, and behaves in a similar manner to the Manual contour trace. Your background bitmap must be black or colour detail on a white background. The auto-contour tool works by following a selected line. It is colour-sensitive, and give best results on scanned image if they are 'cleaned up' using a paint package an/or the Map Filter utility before use.

To start tracing a contour press the left mouse button over a contour line. The program will now proceed to follow the line over the image, reversing the line colour as it does so. On completion a dialog box prompts for the height of the contour. By default, the trace only follows pixels of exactly the same colour, however when using the tool to trace contours from background bitmaps with 256 colors or more you may find it useful to widen the range of colors recognized as belonging to the same contour. To do this use the color tolerance slider on the map page of the parameters notebook.

Blocks of grid points may be set to the same height using the Area heights tool. Click and drag using the left mouse button to define a rectangular area. On release a dialog prompts for a height (or null) to which all sample points within the area will be set.

Finally the Interpolate heights tool will interpolate the heights of undefined (null) grid points, and would typically be used after defining a representative sample of points. Interpolation is discussed in more detail separately.


Water Tools

Landscape Editor - Water Definition Tools

Water Definition Tools

The Flood tool flood fills any flat area of the map with water. After defining the shape of your landscape click on a suitable terrain square. If the four bounding sample points define a flat square a dialog will prompt for confirmation that all contiguous flat terrain squares at the same height are to be set to water.


Tools

Landscape Editor - Terrain Definition Tools

Terrain Definition Tools
The terrain tool buttons on the toolbar are activated when any terrain layer other than Heights/Water is selected from the Current Layer drop down list in the Parameter Display area.

Terrain polygons are displayed on the landscape as hatched polygons. Using the Select terrain item tool any polygon or line vertex, or a model point may be selected and moved by dragging. Right-click the mouse to display the polygon pop-up menu - this allows you to insert or delete a vertex, delete the selected polygon, or delete all polygons for the current layer. Similarly selecting a model point enables the model pop-up menu - this allows you to edit the model parameters, delete this model or delete all models in the current layer.

Use the Add line tool to manually add a line. Successive clicks on the map canvas defines additional points. To end a line right click.

The Add terrain area tool allows you to manually add a polygon. Successive clicks on the map canvas defines additional points. To close a polygon right click.

The Add model at point tools allows you to add a model at any point on the landscape. Click on the map to place a new model - a dialog box appears that allows you to override the default height and rotation parameters for the model defined for the current layer.


Export
After you have defined a map you may wish to view it using a different viewing program. GenesisII export the data constituting the map file in a number of different formats.

All export functions are accessed by selecting the Export... item from the Landscape menu. Select the export file type required from drop down list box in the Save As dialog, and enter the file name. With the exception of VRML export, no further parameters are required. No information about terrains is exported with any of these formats.

Additional export formats (such as VRML and TIN) may be available using plugin modules.

ASCII
Exports all heights in space delimited ASCII format. This is the same format as described in the Import ASCII function.

AutoCAD DXF
Creates an AutoCAD compatible DXF file containing information about the landscape grid. The grid defined as a simple 3DMESH entity type and no header or other parameter information is exported. The file can be read by AutoCAD release 12 and should also be importable by other CAD programs, although no guarantee of compatibility is extended to these.

Windows Bitmap BMP
Exports the map heights as a grey bitmap image. Import of BMP files is supported by several other graphics programs, such as Bryce2. However where possible Pixel Greymap images (PGM) should be used as unlike BMP files are not quantized to height 256 levels.

Pixel Greymap PGM
The PGM format is a simple graphics file format for grey images. It is mainly found on UNIX systems, but is understood by some PC graphics packages such as Paintshop Pro. PGM is included here as it offers some advantages over the Windows BMP format - firstly colours are not quantized and any number of grey shades can be supported, and secondly the file format is a simple ASCII text file and creating a macro interface to other programs for import is relatively straightforward.

NTF Panorama
Creates a UK Ordnance Survey NTF Panorama file. Note that the grid size of these it rigorously defined as a 401 square grid of 50 metre point spacing, and although GenesisII will export differently sized maps, these will be adjusted to fit the standard size. No information about terrains is exported.

Terragen Terrain
Terragen is a photorealistic landscape visualization system that specializes in highly realistic atmospheric effects. Currently it is effectively limited in scope to mountain terrain and does not support the breadth of features found in GenesisII - however within these limitations it is an excellent program well worth experimenting with.

Vistapro DEM
Creates a Vistapro 3 compatible DEM. Vistapro is limited to certain pre-defined grid sizes. All of these are square, with a 30 metre grid point spacing. The smallest (and commonest) size is 258 x 258, which is the largest grid size GenesisII supports, although it will import smaller sizes setting undefined points to zero.


Plugin Interfaces
GenesisII also supports Plugin modules that allows programmers to develop custom facilities for GenesisII. Our Software Development Kit (SDK) is available for free download from the Geomantics site. The Plugin SDK allows access to all of the GenesisII landscape model and offers a powerful means of extending the system for your specific needs. Plugins can be written in any language that can compile a stand-alone dll.

Available Plugins are listed under the Plugin Interfaces menu item. A range of free plugins are available from our site, including MapInfo and ArcView interfaces.


What's New
We are continually developing and upgrading GenesisII. We use a 'web-centric' distribution model and all upgrades may be downloaded from our site (including light and professional users). See our update policy for details.

2.4
Replaced 2D bitmap vegetation with 3D LSystems models.

2.3
Replaced blended landscape surface model with procedureal textures. Significant improvements in surface quality and render times.

2.2
Introduced plugin SDK. Moved VRML/TIN export and GIS interfaces to plugins. Added fractal landscape, terraform plugins.

2.1
Replaced simple atmosphere model with accurate atmosphere modeling subsystem. Major enhancements to realism

2.0
Original release of GenesisII. (version 1.0 was Visual/Landscape Explorer and went through several releases).


Update Policy
Geomantics produces two categories of program

Commercial Products
These are programs we sell on a commercial basis and include GenesisII and GIS interfaces and Active Map. We operate a free 'point upgrade' policy on these - for instance, if you purchase version 2.0 then all subsequent 2.x versions are available for free download from our site. We also give significant (30 - 50%) discounts on our major version upgrades (e.g from 2.x to 3.0).

Freeware Products
We also produce a number of utilities, add-ons and older programs that we distribute as freeware. You can find a list of these on our site. Freeware programs are distributed with no restrictions on use, other than that they may not be sold commercially.


Landscape Editor - Canvas

Overview
The Canvas can display four types of information: sample point heights, water, terrain polygons and a background bitmap.

It is possible to disable the display of any of these items using the check list on Layers page of the Parameter Display area.

Sample points
These are usually displayed as small solid squares. The precise size of the square will vary depending on the display size of the map canvas area and the magnification being used, but should be optimized to display a large enough square for the colour to be apparent whilst remaining small enough so as not to obscure any background bitmap - although this may not be possible with larger maps. No squares are shown for undefined heights, and sample points at sea level (zero meters or feet) are always shown as single points. At high magnifications a numeric value is displayed instead of the solid square.

GenesisII uses a graduated range of colors to indicate the height of a sample points. You may adjust the total displayed range using the Display Parameters tool - points falling outside the range will be drawn with the maximum or minimum height color as appropriate. The scale self-adjusts when loading, importing, or interpolating data, but otherwise should be explicitly refreshed.

To manipulate heights select the heights/water layer using the current layer control on the Parameter Display area. This enables the height manipulation and water tools.

Water
Water is displayed as a solid blue area. To manipulate water select the heights/water layer using the current layer control on the Parameter Display area. This enables the height manipulation and water tools.

Terrains
These are drawn as hatched polygons in the first primary color for that layer. To manipulate terrain polygons select a terrain layer using the current layer control on the Parameter Display area. This enables the terrain tools on the toolbar and allows the vertexes of polygons for the current layer to be selected.

Background Bitmaps
A background bitmap is used when creating a map from a scanned image. A windows bitmap (.bmp) file is placed 'behind' the canvas and used as a guide for designating heights and terrains. The image is always stretched to exactly fit the canvas window. To select a background click the Set Background button in the Parameter Display area. Backgrounds can be turned on/off using the check list on Layers page of the Parameter Display area.


Digital data import

Defining a Map from Imported Data

Overview
This is probably the easiest and most accurate method of generating a map. GenesisII can import the following data types:

  • ASCII Text
  • DXF Point Array
  • US Geological Survey DEMs
  • UK Ordnance Survey NTF
  • Vistapro DEM
  • XYZ

In addition some other file formats, such as Japanese SEM files, may be converted to XYZ format before importing. See the Utilities directory on the CD-ROM for details of available programs for doing this.

Import
The procedure for importing data differs in detail according to the source file being used. However, in general the steps are:

  1. Select Import... from the Landscape menu. This displays a File Open dialog.
  2. Select the type of data source you wish to use from the File Type drop down list box.
  3. Select the import file.

Depending on the type of data source to be used an Import Parameters dialog box may be displayed. This is described in more detail in the sections on specific import source types. Set any required parameters and click on OK. The data is then imported and displayed on the map canvas. Once displayed imported data is handled in exactly the same way as directly enter data. You will probably want to add terrain information or possibly edit the imported heights data.

In most cases you will let GenesisII create a map of the correct size and grid point spacing using the data from the import file. Sometimes however it is desirable to import into a previously defined map (particularly with USGS DEM files as the large sizes of these gives slow response times).


Examples
GenesisII

Fractal Renderer

This renderer generates a photorealistic landscape image, primarily by generating artificial detail onto the surface using fractalization techniques. The Fractal renderer also understands basic ecological concepts and can realistically place vegetation. Terrains and 3D models are also supported.

Overlay Renderer

The overlay renderer draws the landscape without any fractalization, but overlays (or texture maps) an image onto the surface. This approach is useful for generating 3D images of topographic maps or satellite images.


Version Features

GenesisII - Modeling the real world.
Features | GenesisII Freeware | GenesisII Lt | GenesisII
Landscape Modeling |  |  |
Supports up to 250,000 grid points with full georeferencing. | * | * | *
Imports in surface data in USGS dem, Vistapro dem, UK Ordnance Survey ntf, bmp, pgm, ascii and xyz formats. | * | * | *
Creates terrain surface from scanned topographic map. | * | * | *
Advanced surface modeling tools. Model surface changes. | * | * | *
Exports Vistapro dem, UK Ordnance Survey ntf, bmp, pgm, ascii and xyz formats. | * | * | *
Exports tesselated VRML and TIN surfaces for fast realtime rendering. | * | * | *
Accuratly define polygon regions or lines as terrains with full control over surface properties and vegetation. |  |  | *
Accuratly place 3D models (3DS, DXF etc.) onto the landscape surface. |  |  | *
Import data from MapInfo MIF files |  |  | *
Import terrain data from ArcView/ArcInfo SHP files |  |  | *
Photorealistic rendering |  |  |
Draws photorealistic fractalized surface - up to 32 million+ polygons. | * | * | *
Full control over sky, mist, clouds, water, lighting and camera positions. | * | * | *
Full control over surface and water properties. Support for cliffs, shoreline and snowfall characteristics. | * | * | *
Vegetation and ecological modeling. |  | * | *
In-depth control over terrain rendering. Fully define roads, rivers, hedges, walls, field crops, forestry, houses etc. |  |  | *
Include accuratly rendered 3D models |  |  | *
Generate photorealistic images directly from GIS data |  |  | * (requires MapInfo or ArcInfo interface)
Overlay rendering |  |  |
Overlay any image onto terrain surface |  | * | *
Overlay multiple images with full control over transparency |  |  | *


Graphics file import

Defining a Map from a Graphics Image

Overview
GenesisII can generate a surface directly from a graphics file. This is useful as some surface data is available in this format, and it can also be used for creating surfaces from non-landscape sources, such as pictures of the Mandlebrot set.

The graphics file must be in bmp format. If your file is in a different format is can easily be converted using a utility such as Paintshop Pro. GenesisII creates a map of the same dimensions as the graphics file, mapping each pixel to a grid point.

Each pixel in the graphics file logically consists of three numbers representing the red, green and blue components of the pixel, each of which can be any value from 0 to 255. GenesisII combines these values to calculate a single number, which it then converts to a height.

The three colour components can be combined in any one of six different ways depending on the order in which the components are processed. For example if and order of Red, Green, Blue is selected then the number is calculated as

(Red-value * 256 * 256) + (Green * 256) + (Blue).

To convert this to a height GenesisII takes this as a fraction of the maximum value and multiplies this by the value entered for the maximum height in the graphics import dialog.

Importing a Graphics file

  1. Select Import… from the Tools menu.
  2. When the read file dialog is displayed choose Graphics file (bmp) as the file type, select a bmp file to import, and click OK. The Graphics file import dialog is displayed.
  3. Set a maximum height value and choose an order for colour components processing from the set of six radio buttons. You will also need to specify a grid point spacing (nominally) in metres. Press ok to start the import.


Interpolation

Landscape Editor - Interpolation

Overview
This tool will interpolate the heights of undefined (null) sample points. After defining a representative sample of points, for example along contour lines, this facility enables heights to be derived for the remaining undefined points. This version of GenesisII offers two interpolation algorithms, an implementation of the Natural Neighbour algorithm (nngridr), which should be used to interpolate the majority of missing heights, and a trend analysis/smoothing transform, which should be used for filling in the last few points once the majority of heights have been interpolated.

The Interploation Process
You should broadly follow the steps outlined below:

Define a representative set of points, for example using the spot height and contour line tools. See the item on interpolation considerations below for more information.

  1. Select the interpolation tool from the button bar and click and drag to define an area to be interpolated. After the mouse button is released a dialog box will be displayed to confirm that interpolation is to be started. Fill in the appropriate parameters for nearest neighbour interpolation (see below, but these will be the defaults when using the interpolation tool for the first time) and press OK to commence. Whilst calculating a dialog box will be displayed showing progress and allowing cancellation of the calculation.
  2. If possible it is best to interpolate all points in one calculation. GenesisII has no practical limit on the number of grid points that may be interpolated. However in cases where interpolation is to be used to 'fill in' missing areas from a map (for example, to recalculate heights after altering an area of a landscape) smaller areas can be processed individually. In all cases however you should aim to fill in 95% or more of all points using Nearest Neighbour interpolation.
  3. Finally, if there are any missing points, or you wish to smooth the surface, click the mouse anywhere on the canvas to start interpolation again. Select the Trend Analysis/Smoothing radio button, set the check boxes as required to apply trend analysis and/or smoothing, then click on OK. Both trend analysis and smoothing apply to all grid points.

The Interpolate Heights Dialog
The following parameters may be set:

  • Use Nearest Neighbour/Trend Analysis. This pair of radio buttons determines which interpolation algorithm will be used. Controls not used by an algorithm will be disabled.
  • Use calculated gradients. Used by Nearest Neighbour interpolation. Defaults to ON. Uses gradients to estimate the trends in the data when checked. For example, a rounded hilltop will be deduced if points are available around a hill, but not on top. If turned off gradients will not be used and a flat top will be deduced.
  • Optimise for speed. Used by Nearest Neighbour interpolation. Defaults to ON. Calculates faster by making more generous usage of memory. When turned off requires less memory but is significantly slower.
  • Extrapolate. Used by Nearest Neighbour interpolation. Defaults to OFF. Enables extrapolation when checked. This is by its nature a tenuous proposition, and should be used with caution after the majority of the map heights have been defined directly or by interpolation. Note that it is advisable to define as many grid points as possible on the edges of the map, and particularly at the corners, as this reduces the amount of extrapolation required.
  • Tautness Parameters #1 and #2. Used by Nearest Neighbour interpolation. These two parameters control the 'taughtness' of the generated surface around the points already defined. Increasing the value of parameter 1 increases the influence of the gradient, increasing the value of parameter 2 increases the area over which the influence of the gradient is felt. Reasonable ranges are 1 to 3 for parameter #1, and 5 - 12 for parameter #2.
  • Minimum Height. Used by both interpolation methods. The minimum height setting is available to help when defining sea coasts and other areas of water. For example, to define an island draw the appropriate contour lines and spot heights for the island and an area of sea at zero height for two or more sample points around the coast before applying interpolation.
  • Trend Analysis. Used by Trend Analysis interpolation. Defaults to ON. Applies a trend analysis to the whole grid to fill in any undefined points.
  • Smoothing Transform. Used by Trend Analysis interpolation. Defaults to ON. Applies a smoothing algorithm to the whole grid to correct any anomalous points.

Interpolation Considerations
The proportion of defined to undefined sample points required depends on the kind of landscape being defined. For smooth, rounded hills or plains reasonable results may be obtained with 1 point in 40 or less. For more complex structures 1 in 20 or less is recommended. Interpolation is most accurate where the surface has few discontinuities - so for a valley with steep sides and a flat bottom placing defined points along the sides will be sufficient to derive the shape of the sides. However, without further information the interpolation function will assume a continuation of the sides to form an over-deepened 'V', so you will need to define some of the valley floor.

In some circumstances the nearest neighbour interpolation algorithm will be unable to proceed and an error message will be displayed: for example if the height to width ration of the selected area is too extreme. Re-select and try again.

nngridr and Calculation Efficiency
The implementation of the nearest neighbour algorithm used in GenesisII was developed by Dave Watson (contact PO Box 734 Claremont, WA 6010, Australia). This is probably one of the most effective algorithms of it's type available. However, although yielding excellent results, the time required to calculate interpolated values varies approximately with the square of the number of points. We found that in practice on a Pentium-90 an area of up to about 10,000 points could be calculated with a delay of only a few minutes, and calculations on up to 160,000 points or more are certainly feasible if you are willing to allow for the time required.

Calculation times can be improved by dividing a large area into several smaller ones and interpolating in a stepwise manner, but in practise this is not recommended as artefacts may be produced around the edges of these areas (although these can be minimised by ensuring a good overlap).


Parameter Display Area

Landscape Editor - Parameter Display Area

Overview
This is a panel to the left of the map canvas which displays parameter information about the current map. There are two pages.

General Page

Map Definition

  • Map Size: Geographical size of the map.
  • Grid Spacing: The distance between grid points.
  • Grid Size: The size of the map in grid points.

Heights

  • Maximum and Minimum Heights: These two values define the height range over which colors will be drawn for grid points on the canvas. Heights falling outside this range will be drawn with the same color as the maximum or minimum height.
  • Vertical Scaling: Multiplication factor to be applied to the heights when drawing. Defined as a percentage of actual height.

Trace Parameters

  • Color Tolerance: This defines the range of colors that will be recognized as belong to a contour line for the Auto-Contour trace tool.

Layers Page

Current Layer
A drop down list of available terrain layers for this map. The current terrain layer determines which tools are enabled on the toolbar. Terrain polygons may only be selected if they belong to the current layer.

Set Background
Selects a image (bmp) file for display 'behind' the canvas. Useful for manually defining landscapes and terrains.

Layers Shown
A check list of available terrains for this map (including heights, water and background). Any layer may be disabled.


Importing from a scanned image

Defining a Map from a Scanned Image

Overview
One of the most powerful features of GenesisII is its ability to create a three dimensional model using information obtained from a topographic map (i.e. one with contour lines).

Capturing sufficient information from a map to define how a landscape surface looks is obviously a considerably more difficult problem than simply importing data from a file. As all points in the map grid must be defined, creating a typical map involves defining the heights at over 10,000 grid points.

Fortunately GenesisII has been designed to address and simplify this problem. The strategy used is to define a sub-set of heights, then use a set of interpolation functions to calculate the undefined heights. Remarkably good results can be achieved using this approach.

To help define the original sub-set of heights GenesisII allows the use of a scanned image as a template. The quality of this scan is of crucial importance in obtaining good results and you should attempt to produce the clearest image you can. If you intend to use the auto-contour trace tool without having a colour scanner, some time spent 'cleaning up' the image using a program such as paintbrush is recommended.

See the Surface Manipulation Tools page for a full description of the tools available. To define a new map the user would typically go through the following steps...

  1. Create a new map of the appropriate size and grid spacing using the new grid menu option.
  2. Use the display parameters tools to display a full range of colours for the variation in heights expected.
  3. Import and size a bitmap of the original paper map using load bitmap and set bitmap magnification map definition tools. This would typically be created as a .bmp file using a scanner.
  4. Define a sufficient set of heights to give a reasonable definition of the shape of the landscape surface - typically by using the contour, spot and block height definition tools.
  5. Use the interpolate heights tool to fill in undefined points.